package com.elab.core.async.store;

import com.elab.core.async.SchedulingTaskExecutor;

import java.util.HashMap;
import java.util.Map;

/**
 * 调度任务参数
 *
 * @author ： liukx
 * @time ： 2020/8/7 - 15:14
 */
public class SchedulingTaskExecutorDecoration {

    private SchedulingTaskExecutor schedulingTaskExecutor;

    private Map<String, String> dataMap = new HashMap<>();

    public SchedulingTaskExecutor getSchedulingTaskExecutor() {
        return schedulingTaskExecutor;
    }

    public void setSchedulingTaskExecutor(SchedulingTaskExecutor schedulingTaskExecutor) {
        this.schedulingTaskExecutor = schedulingTaskExecutor;
    }

    public Map<String, String> getDataMap() {
        return dataMap;
    }

    public void setDataMap(Map<String, String> dataMap) {
        this.dataMap = dataMap;
    }
}
